var Alloy = require('/alloy'),
    Backbone = Alloy.Backbone,
    _ = Alloy._;

function __processArg(obj, key) {
	var arg = null;
	if (obj) {
		arg = obj[key] || null;
		delete obj[key];
	}
	return arg;
}

function Controller() {

	require('/alloy/controllers/' + 'BaseController').apply(this, Array.prototype.slice.call(arguments));
	this.__controllerPath = 'index';
	this.args = arguments[0] || {};

	if (arguments[0]) {
		var __parentSymbol = __processArg(arguments[0], '__parentSymbol');
		var $model = __processArg(arguments[0], '$model');
		var __itemTemplate = __processArg(arguments[0], '__itemTemplate');
	}
	var $ = this;
	var exports = {};
	var __defers = {};

	$.__views.window = Ti.UI.createWindow({ id: "window" });

	$.__views.window && $.addTopLevelView($.__views.window);
	$.__views.mainContainer = Ti.UI.createView({ id: "mainContainer" });

	$.__views.window.add($.__views.mainContainer);
	exports.destroy = function () {};

	_.extend($, $.__views);

	var doLog = true;
	var slidingView;

	var ApplicationView = require('Windows.UI.ViewManagement.ApplicationView');
	ApplicationView.GetForCurrentView().TryEnterFullScreenMode();
	var Window = require('Windows.UI.Xaml.Window');
	var ScaleTransform = require('Windows.UI.Xaml.Media.ScaleTransform');
	var DisplayInformation = require('Windows.Graphics.Display.DisplayInformation');
	var Frame = require('Windows.UI.Xaml.Controls.Frame');
	var Page = require('Windows.UI.Xaml.Controls.Page');
	var Double = require('System.Double');
	var HorizontalAlignment = require('Windows.UI.Xaml.HorizontalAlignment');

	var slidingView = Alloy.createWidget('com.propelics.slidingView');
	$.window.add(slidingView.getView());
	$.window.open();

	console.log("Windows Open");

	var resolutionScale = DisplayInformation.GetForCurrentView().ResolutionScale;
	var baseScale = 50;
	var currentScale = 100;
	var transform = new ScaleTransform();
	transform.ScaleX = baseScale / currentScale;
	transform.ScaleY = baseScale / currentScale;

	var rootFrame = Frame.cast(Window.Current.Content);
	var page = Page.cast(rootFrame.Content);
	page.Height = 1200;
	page.Width = 1920;
	var content = page.Content;
	content.RenderTransform = transform;
	var controllerview = Alloy.createController('controllerview');
	slidingView.addSomething(controllerview);
	slidingView.animate();

	_.extend($, exports);
}

module.exports = Controller;